Page MenuHomePhabricator | MITK

BaseData::GetMTime wrongly/unnecessary updates timestamp of own instance
Closed, ResolvedPublic

Description

Currently BaseData::GetMTime updates the timestamp of this when the MTime of its time geometry is newer then its own MTime. This is a wrong behavior, that leads to changing timestamps just by checking them and therefor to wrong detection of "newest" BaseData instances (e.g. for the new statstics backend).

A correct implementation would be to pass the MTime of time geometry if it is newer then the own MTime.

Details

Commits
Restricted Differential Revision / rMITKf163f1d8128f: Fixed T25709

Event Timeline

floca created this task.Nov 30 2018, 11:25 PM
floca triaged this task as High priority.
floca claimed this task.
floca added a revision: Restricted Differential Revision.Dec 4 2018, 3:45 PM
floca closed this task as Resolved by committing rMITKf163f1d8128f: Fixed T25709.Jan 4 2019, 9:45 AM